package request

import (
	"topsdk/ability571/domain"
	"topsdk/util"
)

type AlibabaHmMarketingFullrangeRemoveitemRequest struct {
	/*
	   商品sku信息     */
	Param0 *domain.AlibabaHmMarketingFullrangeRemoveitemItemStairSku `json:"param0" required:"true" `
	/*
	   活动信息     */
	Param1 *domain.AlibabaHmMarketingFullrangeRemoveitemCommonActivityParam `json:"param1,omitempty" required:"false" `
}

func (s *AlibabaHmMarketingFullrangeRemoveitemRequest) SetParam0(v domain.AlibabaHmMarketingFullrangeRemoveitemItemStairSku) *AlibabaHmMarketingFullrangeRemoveitemRequest {
	s.Param0 = &v
	return s
}
func (s *AlibabaHmMarketingFullrangeRemoveitemRequest) SetParam1(v domain.AlibabaHmMarketingFullrangeRemoveitemCommonActivityParam) *AlibabaHmMarketingFullrangeRemoveitemRequest {
	s.Param1 = &v
	return s
}

func (req *AlibabaHmMarketingFullrangeRemoveitemRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param0 != nil {
		paramMap["param0"] = util.ConvertStruct(*req.Param0)
	}
	if req.Param1 != nil {
		paramMap["param1"] = util.ConvertStruct(*req.Param1)
	}
	return paramMap
}

func (req *AlibabaHmMarketingFullrangeRemoveitemRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
